# Enum Class AbstractRecordAndOffset.AlignmentType

java.lang.Object
java.lang.Enum<AbstractRecordAndOffset.AlignmentType>
htsjdk.samtools.util.AbstractRecordAndOffset.AlignmentType

All Implemented Interfaces:
  `Serializable, Comparable<AbstractRecordAndOffset.AlignmentType>, Constable`

Enclosing class:
  `AbstractRecordAndOffset`

public static enum AbstractRecordAndOffset.AlignmentType extends Enum<AbstractRecordAndOffset.AlignmentType>
Classifies whether the given event is a match, insertion, or deletion. This is deliberately not expressed as CIGAR operators, since there is no knowledge of the CIGAR string at the time that this is determined.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Deletion`
`Insertion`
`Match`

## Method Summary

Modifier and Type
Method
Description
`static AbstractRecordAndOffset.AlignmentType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractRecordAndOffset.AlignmentType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Match

public static final AbstractRecordAndOffset.AlignmentType Match

### Insertion

public static final AbstractRecordAndOffset.AlignmentType Insertion

### Deletion

public static final AbstractRecordAndOffset.AlignmentType Deletion

## Method Details

### values

public static AbstractRecordAndOffset.AlignmentType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractRecordAndOffset.AlignmentType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null